Bug 448056 - applesmc filling log file
Summary: applesmc filling log file
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-05-23 08:33 UTC by Teguh DC
Modified: 2008-06-13 02:27 UTC (History)
1 user (show)

Fixed In Version: 2.6.25.6-55.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-13 02:27:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
remove debug messages (1.85 KB, patch)
2008-06-04 03:46 UTC, Teguh DC
no flags Details | Diff

Description Teguh DC 2008-05-23 08:33:23 UTC
Description of problem:
applesmc filling log with debugging messages 

Version-Release number of selected component (if applicable):
[dheche@foutain ~]$ uname -r
2.6.25.3-18.fc9.x86_64

How reproducible:


Steps to Reproduce:
1. modprobe applesmc
2. tailf /var/log/messages
3.
  
Actual results:
a lot of debugging messages from applesmc written to /var/log/messages

Expected results:
debugging messages should writen to /var/log/messages only when we told to 

Additional info:
hardware: macbook pro 4.1
http://mactel-linux.svn.sourceforge.net/viewvc/mactel-linux/trunk/kernel/mactel-patches-2.6.25/

Comment 1 Chuck Ebbert 2008-05-23 16:26:00 UTC
(In reply to comment #0)
> Actual results:
> a lot of debugging messages from applesmc written to /var/log/messages
> 

Why didn't you post some of the messages>


Comment 2 Teguh DC 2008-05-23 20:48:20 UTC
this is debugging messages (>15 msg per secs)

[...]
May 24 03:40:38 foutain kernel: applesmc: wait status failed: c != 8
May 24 03:40:38 foutain kernel: applesmc: wait status failed: c != 8
May 24 03:40:38 foutain kernel: applesmc: wait status failed: c != 8
May 24 03:40:38 foutain kernel: applesmc: wait status failed: c != 8
May 24 03:40:38 foutain kernel: applesmc: wait status failed: c != 8
May 24 03:40:38 foutain kernel: applesmc: wait status failed: c != 8
[...]

patch from mactel-linux solved the problem, should be nice if default fedora
kernel fix this issue.
http://mactel-linux.svn.sourceforge.net/viewvc/mactel-linux/trunk/kernel/mactel-patches-2.6.25/applesmc-remove-debugging-messages.patch?revision=156&view=markup

Comment 3 Stewart Adam 2008-05-28 22:49:06 UTC
I can confirm this too... In about 1/2 an hour my log size ran up to 3.5M with
applesmc loaded.

Comment 4 Chuck Ebbert 2008-05-29 05:59:26 UTC
Patch does not apply to 2.6.25.


Comment 5 Teguh DC 2008-06-04 03:46:22 UTC
Created attachment 308317 [details]
remove debug messages

i create patch to remove debugging message for applesmc (based on mactel-linux
patch)

Comment 6 Chuck Ebbert 2008-06-06 03:29:45 UTC
Patch applied to kernel-2.6.25.4-45

Comment 7 Fedora Update System 2008-06-12 01:38:34 UTC
kernel-2.6.25.6-55.fc9 has been submitted as an update for Fedora 9

Comment 8 Fedora Update System 2008-06-13 02:26:58 UTC
kernel-2.6.25.6-55.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.